//=======================================================================
// Author: Donovan Parks
//
// Copyright 2009 Donovan Parks
//
// This file is part of GenGIS.
//
// GenGIS is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// GenGIS is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with GenGIS.  If not, see <http://www.gnu.org/licenses/>.
//=======================================================================

#ifndef _GENGIS_VIEW_CONTROLLER_
#define _GENGIS_VIEW_CONTROLLER_

#include "../widgets/ViewWidget.hpp"

#include <boost/shared_ptr.hpp>

namespace GenGIS
{

class ViewController
{
public:
	/** Convenient syntax for creating smart pointers to this class */
	typedef boost::shared_ptr<ViewController> Ptr;

public:  
  ViewController() {}   
  virtual ~ViewController() {}
};

}

#endif
