//=======================================================================
// Author: Donovan Parks
//
// Copyright 2009 Donovan Parks
//
// This file is part of GenGIS.
//
// GenGIS is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// GenGIS is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with GenGIS.  If not, see <http://www.gnu.org/licenses/>.
//=======================================================================

#include "../core/Precompiled.hpp"

#include "../gui/LabelToolDlg.hpp"
#include "../gui/ColourPickerDlg.hpp"

#include "../core/App.hpp"
#include "../core/LabelController.hpp"
#include "../core/Viewport.hpp"
#include "../core/VisualLabel.hpp"

using namespace GenGIS;

LabelToolDlg::LabelToolDlg(wxWindow* parent): LabelToolLayout(parent)
{
	m_cboLabelStyle->SetValue(wxT("Billboard"));
	Fit();
}

LabelToolDlg::~LabelToolDlg()
{

}

